#
# spec file for package pdfcompare
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pdfcompare
Version:        1.6.8
Release:        lp151.2.1
Summary:        Compare two PDF files, write a resulting PDF with highlighted changes
License:        GPL-2.0
Group:          Productivity/Publishing/PDF
Url:            https://github.com/jnweiger/pdfcompare
Source:         pdfcompare-%{version}.tar.bz2
Source100:      pull_github.sh
# These BuildRequires are only required for the testsuite
BuildRequires:  poppler-tools
BuildRequires:  python-base
BuildRequires:  python-pygame
BuildRequires:  python-pypdf
BuildRequires:  python-reportlab
BuildRequires:  python-xml
## only needed for --spell
Requires:       hunspell
Requires:       poppler-tools
Requires:       python-base
Requires:       python-pygame
Requires:       python-pypdf
Requires:       python-reportlab
Requires:       python-xml
Recommends:     myspell-american
Recommends:     myspell-german-old
BuildArch:      noarch

%description
Compare two PDF files, write a resulting PDF with highlighted changes.
Potential text portions that were moved around are recognized and analyzed
for similarity with a second level diff.

%prep
%setup -q

%build

%check
cd test
export PATH=$PATH:%{buildroot}%{_bindir}
./helptest.sh %{version}

%install
test -f pdfcompare.py || mv pdf_highlight.py pdfcompare.py
install -Dm 0755 pdfcompare.py %{buildroot}%{_bindir}/pdfcompare

%files
%{_bindir}/pdfcompare
%doc COPYING

%changelog
* Tue Oct 10 2017 fstrba@suse.com
- Remove dependency on pdftk. It is only needed for restest.sh and
  pdftk depends on GCJ and its capacity to compile Java code
  natively. This capacity goes with the removal of gcc6, which was
  the last gcc version to be able to build tools for Java language.
* Tue Apr 19 2016 jw@owncloud.com
- V1.6.8 - cleaner popup annotations unless -S
  - no navigation buttons unless -f ..N..
* Mon Apr 18 2016 jnweiger@gmail.com
- V1.6.7 - support Ubuntu 14.04
* Mon Apr 18 2016 jw@owncloud.com
- V1.6.6 - hunspell usage hint: how to add words to private dictonary.
-          pull_github.sh added.
-          use pdf_highlight.py if pdfcompare.py is not in the tar. Historic name.
* Tue Jan  7 2014 jw@suse.de
- V1.6.5 - merged https://github.com/jnweiger/pdfcompare/pull/4 from tomschr
* Tue Dec  3 2013 jw@suse.com
- added %%doc COPYING
- License: GPL-2.0
* Thu Jun 13 2013 jw@suse.com
- V1.6.4 - Allow pdftohtml to produce slightly invalid xml.
    We compensate using a fallback that erases all <a...> ... </a> tags.
  - Not-strict improved: better ignore hyphenation change and dotted lines.
* Mon Apr 29 2013 jw@suse.com
- V1.6.2 - COPYING added, to retry sr#173525
  - Distinction between mediabox and cropbox implemented, so that
    changebars and navigation is not outside the visible area.
  - Option --leftside added.
* Thu Mar 28 2013 jw@suse.com
- V1.6.1 - new option --below added, helps with obscure crashes in pyPDF.
  Sigh.
* Wed Mar 27 2013 jw@suse.com
- V1.6 - added experimental opcodes_find_moved()
    Works very well.
  - long delete popups truncated.
* Wed Mar 13 2013 jw@suse.com
- V1.5.1 jw
  * added test/python3.sh -- cannot test much, too many modules missing.
  * Added a trivial --log implementation.
  * sorted command line options alphabetically.
* Sat Feb  2 2013 jw@suse.com
- V1.4
  * option --spell added. Using hunspell.py
  * several places use now urllib.quote_plus to circumvent encode() issues.
* Tue Jan 29 2013 jw@suse.com
- V1.2 --margins feature added
* Tue Jan 29 2013 jw@suse.com
- fixed helptest.sh to allow other version numbers that 3char.
- propper tar-ball with make tar
* Mon Jan 28 2013 jw@suse.com
- V1.1b jw
  * bugfix in mergeAnnots()
  * factored out highlight_height and reduced from 1.4 to 1.2 for less overlap.
* Mon Jan 28 2013 jw@suse.com
- Version 1.1a
- fixed subtracting from NoneType .
- Started --feature margin code.
* Thu Jan 24 2013 jw@suse.com
- Version 1.1
  * backwards and forwards navigation code added for easily
  finding next and previous page with changes. Using
  page_ref_magic as a placeholder with dummy self refs.
  * implemented proper relocation and merge in mergeAnnots().
  * some off-by-one errors fixed with first_page, last_page.
* Tue Jan 22 2013 jw@suse.com
- oops, fixed --features default.
- added -n
- skipping PDF result test if suse_version < 1210
* Mon Jan 21 2013 jw@suse.com
- Version 1.0
  * added option --features anno,highight,changebar
  * removed option --no-anno in favour of option --features.
  * improved option --search-colors to handle all 4 colors.
* Fri Jan 18 2013 kpetsch@suse.com
-Cleaned up spec file for better readability
* Fri Jan 18 2013 kpetsch@suse.com
-Version 0.8:
- Added pdfcomparetest tarball which includes unit tests
- added opcodes_post_proc() to make replace operations
  more the human friendly
- calling compressContentStreams() unless --no-compression
- higher --transparency is now more transparent, not less.
- delete markers at end of previous text, not start of next.
* Wed Jan 16 2013 kpetsch@suse.com
-Version 0.6 First draft
