#! /bin/sh
#

url=git@github.com:jnweiger/pdfcompare.git
name=pdfcompare

rm -rf $name
tstamp=$(date +%Y%m%d)
git clone --depth 1 --branch master $url -o $name
version=$(grep '^__VERSION__' $name/pdfcompare.py | sed -e "s@.*'\(.*\)'.*@\1@")
#version=$version.git$tstamp

mv $name $name-$version
rm $name-*.tar.bz2
tar jcvf $name-$version.tar.bz2 --exclude '.??*'  $name-$version
rm -rf $name-$version

sed -i -e "s@^\(Version:\s*\).*@\1"$version"@" *.spec
sed -i -e "s@^\(Source0:\s*\).*@\1"$name-$version.tar.bz2"@" *.spec

osc addremove
echo "now run: vi *.dsc; debchange -mc debian.changelog; osc vc; osc up; osc ci"

